%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           pyfuzzy
Version:        0.1.0
Release:        4%{?dist}
Summary:        Python framework for fuzzy sets

Group:          Development/Languages
License:        LGPLv3+
URL:            http://pyfuzzy.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

Requires:       gnuplot
Requires:       antlr3-python


%description
pyfuzzy is a framework to work with fuzzy sets and process them with
operations of fuzzy logic.


%prep
%setup -q
sed -i -e '/^#!\//, 1d' demo/*.py
chmod -x demo/*.py


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES.txt README.txt LICENSE.txt demo/
%{python_sitelib}/fuzzy/
%{python_sitelib}/pyfuzzy*.egg-info


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 23 2010 Fabian Affolter <fabian@bernewireless.net> - 0.1.0-2
- Fixed license

* Fri Nov 20 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.0-1
- License is GPLv3+
- Removed utf-8 converting stuff and test suite
- Added license file to doc
- Removed todo from doc
- Updated to new upstream version 0.1.0

* Mon Jul 13 2009 Fabian Affolter <fabian@bernewireless.net> - 0.0.2-1
- Initial spec for Fedora
